Bug 44076 - [Cairo] Remove unnecessary full-surface copies from ImageCairo and GraphicsContextCairo
Summary: [Cairo] Remove unnecessary full-surface copies from ImageCairo and GraphicsCo...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P3 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on:
Blocks:
 
Reported: 2010-08-16 15:07 PDT by Martin Robinson
Modified: 2010-08-18 07:10 PDT (History)
6 users (show)

See Also:


Attachments
Patch for this issue (8.44 KB, patch)
2010-08-16 15:24 PDT, Martin Robinson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Robinson 2010-08-16 15:07:32 PDT
r65451 exposed a couple unnecessary full-surface copies in the Cairo code. This patch tracks removing them.
Comment 1 Martin Robinson 2010-08-16 15:24:32 PDT
Created attachment 64527 [details]
Patch for this issue
Comment 2 WebKit Review Bot 2010-08-16 15:26:08 PDT
Attachment 64527 [details] did not pass style-queue:

Failed to run "['WebKitTools/Scripts/check-webkit-style']" exit_code: 1
WebCore/platform/graphics/cairo/GRefPtrCairo.h:25:  cairo_t is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
WebCore/platform/graphics/cairo/GRefPtrCairo.h:26:  cairo_surface_t is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Total errors found: 2 in 6 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Martin Robinson 2010-08-16 15:30:00 PDT
These style issues are false positives from new forward declarations.
Comment 4 Dave Hyatt 2010-08-16 18:07:06 PDT
Comment on attachment 64527 [details]
Patch for this issue

r=me
Comment 5 Martin Robinson 2010-08-17 12:05:09 PDT
Comment on attachment 64527 [details]
Patch for this issue

Clearing flags on attachment: 64527

Committed r65530: <http://trac.webkit.org/changeset/65530>
Comment 6 Martin Robinson 2010-08-17 12:05:15 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 WebKit Review Bot 2010-08-17 12:46:08 PDT
http://trac.webkit.org/changeset/65530 might have broken GTK Linux 64-bit Debug
The following changes are on the blame list:
http://trac.webkit.org/changeset/65529
http://trac.webkit.org/changeset/65530